Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001211KdenliveUser Interfacepublic2009-10-13 09:172010-05-12 16:12
ReporterGranjow 
Assigned ToGranjow 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.7.7 
Summary0001211: Titler: Better z-index handling
Description0001019

Buttons:
* rise/lower z-index
* Foreground (highest z-index) / Background (lowest z-index)

I'd still keep the z-index number displayed (perhaps locked) for information. Or add an information bar?
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships
child of 0001019closedGranjow Text clip usability is very primitive 

-  Notes
(0004395)
Granjow (developer)
2009-12-01 14:38

r4165
Please test :) Comments are welcome.
(0004585)
falkTX (reporter)
2010-01-26 11:11

Tested on r4229:

Working fine!
Thanks for this, and it's really useful that the Z can be negative
(0004586)
Granjow (developer)
2010-01-26 13:33

Thanks.

One thing I'm not quite sure about yet: When moving an element to the very top/bottom, I only consider the elements it's touching. So another element might still have a higher z-index after moving the active element on top.

Is this unexpected or okay?
(0004587)
falkTX (reporter)
2010-01-26 14:06

If I moved an element across another and stoped (behind it), instead of just using the set Z values (which would make the element in the back not visible), I think it should go on top of it.

Maybe you can subdivide Z values, like this: "1:01 < 1:02 < 1:03 < 2:01"
(0004610)
Granjow (developer)
2010-02-02 11:34

r4274
Put on top/bottom now uses maximum z index over all items instead of over the selected ones only.

- Issue History
Date Modified Username Field Change
2009-10-13 09:17 Granjow New Issue
2009-10-13 09:17 Granjow Status new => assigned
2009-10-13 09:17 Granjow Assigned To => Granjow
2009-10-13 09:17 Granjow Build/Install Method => Manual build from SVN
2009-10-13 09:18 Granjow Relationship added child of 0001019
2009-12-01 14:38 Granjow Note Added: 0004395
2009-12-01 14:38 Granjow Status assigned => feedback
2010-01-26 11:11 falkTX Note Added: 0004585
2010-01-26 13:33 Granjow Note Added: 0004586
2010-01-26 13:33 Granjow Status feedback => assigned
2010-01-26 14:06 falkTX Note Added: 0004587
2010-02-02 11:34 Granjow Note Added: 0004610
2010-02-02 11:34 Granjow Status assigned => resolved
2010-02-02 11:34 Granjow Resolution open => fixed
2010-02-02 11:34 Granjow Fixed in Version => Recent git
2010-02-04 00:58 xzhayon Fixed in Version Recent git => 0.7.7
2010-02-20 08:16 j-b-m Status resolved => closed
2010-05-12 16:12 xzhayon Target Version future version =>


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker